/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct EnvironmentConfigAnalyticsSettings {
    #[serde(
        rename = "MaxUsersForStatistics",
        skip_serializing_if = "Option::is_none"
    )]
    pub max_users_for_statistics: Option<bool>,
}

impl EnvironmentConfigAnalyticsSettings {
    pub fn new() -> EnvironmentConfigAnalyticsSettings {
        EnvironmentConfigAnalyticsSettings {
            max_users_for_statistics: None,
        }
    }
}
